Bug 1132830 - Cinnamon - Can't open cinnamon-settings after latest update (Apr 18, 2019)
Cinnamon - Can't open cinnamon-settings after latest update (Apr 18, 2019)
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Marguerite Su
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-18 06:52 UTC by Konrad Krzewinski
Modified: 2019-07-28 05:40 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konrad Krzewinski 2019-04-18 06:52:37 UTC
Disclaimer: There was no listing for 'Cinnamon' under components so I tossed it under 'GNOME'. Not sure where else I could have put this.

In a nutshell, cinnamon-settings fails to load after the latest updates. Reproducible from terminal or right-clicking on panel and attempting to load -ANY- of the applets or configuration options. If I right-click on the panel and go to 'System Settings' it fails to load. Same thing if I click on the Sound icon and attempt to load 'Sound Settings'.

Here is the output when I try and run it from terminal:

> cinnamon-settings
/usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py:220: DeprecationWarning: Gtk.Widget.set_margin_right is deprecated
  self.stack_switcher.set_margin_right(n)
/usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py:233: DeprecationWarning: Gtk.Window.set_has_resize_grip is deprecated
  self.window.set_has_resize_grip(False)
Traceback (most recent call last):
  File "/usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py", line 608, in <module>
    window = MainWindow()
  File "/usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py", line 244, in __init__
    for module in modules:
  File "/usr/share/cinnamon/cinnamon-settings/modules/cs_backgrounds.py", line 5, in <module>
    import imtools
  File "/usr/share/cinnamon/cinnamon-settings/bin/imtools.py", line 623, in <module>
    if Image.VERSION == '1.1.7':
AttributeError: module 'PIL.Image' has no attribute 'VERSION'

I also found the following populating in journalctl every time I attempt to load it:

Apr 18 02:40:48 linux-k0fh /usr/lib/gdm/gdm-x-session[1954]: Cinnamon warning: Log level 128: posix_spawn avoided (automatic reaping requested) (fd close requested)
Apr 18 02:41:11 linux-k0fh /usr/lib/gdm/gdm-x-session[1954]: Cinnamon warning: Log level 128: posix_spawn avoided (fd close requested)

Let me know if any additional information is required.
Comment 1 Dominique Leuenberger 2019-04-18 07:00:06 UTC
Cinnamon is not GNOME - reassigning
Comment 3 Marguerite Su 2019-07-28 05:40:44 UTC
has been fixed by Dead Mozay on Apr. 24th